Bug 1175325 - Delete cow block driver
Summary: Delete cow block driver
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Stefan Hajnoczi
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 1175841
TreeView+ depends on / blocked
 
Reported: 2014-12-17 13:50 UTC by Stefan Hajnoczi
Modified: 2015-03-05 08:14 UTC (History)
9 users (show)

Fixed In Version: qemu-kvm-1.5.3-85.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1175841 (view as bug list)
Environment:
Last Closed: 2015-03-05 08:14:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0349 normal SHIPPED_LIVE Important: qemu-kvm security, bug fix, and enhancement update 2015-03-05 12:27:34 UTC

Description Stefan Hajnoczi 2014-12-17 13:50:33 UTC
The QEMU block/cow.c block driver is hopelessly broken and has been deleted upstream:
http://git.qemu-project.org/?p=qemu.git;a=commitdiff;h=550830f9351291c585c963204ad9127998b1c1ce

Delete it from RHEL 7 qemu-kvm so that we don't continue to ship a component that is known to be broken and no longer supported upstream.  Removing the block driver reduces the qemu-img attack surface against untrusted input files slightly.

It is highly unlikely that any users rely on the cow block driver since it is incompatible with the User Mode Linux cow file format which it purports to support.

Comment 2 Jeff Nelson 2015-01-07 19:14:13 UTC
Fix included in qemu-kvm-1.5.3-85.el7

Comment 5 Stefan Hajnoczi 2015-01-08 11:05:34 UTC
You can test that this patch has been applied successfully as follows:

$ qemu-img --help
...
Supported formats: <--- this list must not include "cow"

Comment 6 Sibiao Luo 2015-01-09 02:09:33 UTC
Reproduce this issue:
# uname -r && rpm -q qemu-kvm
3.10.0-221.el7.x86_64
qemu-kvm-1.5.3-84.el7.x86_64

# qemu-img --help | grep cow
  '-c' indicates that target image must be compressed (qcow format only)
Supported formats: vvfat vpc vmdk vhdx vdi sheepdog rbd raw host_cdrom host_floppy host_device file qed qcow2 qcow parallels nbd iscsi gluster dmg cow cloop bochs blkverify blkdebug                                             ^^^^^

# qemu-img create -f cow test.cow 1G
Formatting 'test.cow', fmt=cow size=1073741824 
# qemu-img info test.cow 
image: test.cow
file format: cow
virtual size: 1.0G (1073741824 bytes)
disk size: 4.0K

#####################################

Verify this issue:
# uname -r && rpm -q qemu-kvm
3.10.0-221.el7.x86_64
qemu-kvm-1.5.3-85.el7.x86_64

# qemu-img --help | grep cow
  '-c' indicates that target image must be compressed (qcow format only)
Supported formats: vvfat vpc vmdk vhdx vdi sheepdog rbd raw host_cdrom host_floppy host_device file qed qcow2 qcow parallels nbd iscsi gluster dmg cloop bochs blkverify blkdebug

# qemu-img create -f cow test.cow 1G
qemu-img: test.cow: Unknown file format 'cow'

Base on above, this issue has been fixed correctly, move to VERIFIED status, please correct me if any mistake, thanks.

Best Regards,
sluo

Comment 8 errata-xmlrpc 2015-03-05 08:14:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0349.html


Note You need to log in before you can comment on or make changes to this bug.